User account creation filtered due to spam.

Bug 2521 - ICE in build_ptrmemfunc, at cp/typeck.c:6087
Summary: ICE in build_ptrmemfunc, at cp/typeck.c:6087
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c++ (show other bugs)
Version: 2.95.2
: P3 normal
Target Milestone: ---
Assignee: Gabriel Dos Reis
URL:
Keywords: ice-on-invalid-code
: 8239 (view as bug list)
Depends on:
Blocks:
 
Reported: 2001-04-09 14:06 UTC by rparnall
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
ecopars.ii.gz (42.53 KB, application/x-gzip )
2003-05-21 15:16 UTC, rparnall
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rparnall 2001-04-09 14:06:00 UTC
g++ -g -Wall -I../CBMShared -c ecopars.cc -o ecopars.o
ecopars.cc: In method `void EcocheckPars::Initialize()':
ecopars.cc:18: Internal compiler error.
ecopars.cc:18: Please submit a full bug report.

I'm just learning the magic of templates, so the program is almost
certainly incorrect, but it asked for a bug report, so I'm 
submitting it!

When I compile it at the codesourcery site, it also gets
a compiler error:
    ecopars.cc: In member function `void EcocheckPars::Initialize()':
    ecopars.cc:18: Internal compiler error in build_ptrmemfunc, at cp/typeck.c:6088

Release:
cc version 2.95.2 19991024 (release)

Environment:
mars% uname -a
SunOS mars 5.6 Generic_105181-23 sun4u sparc SUNW,Ultra-60

How-To-Repeat:
g++ -g -Wall -I../CBMShared -c ecopars.cc -o ecopars.o
Comment 1 Nathan Sidwell 2001-04-24 08:52:43 UTC
State-Changed-From-To: open->analyzed
State-Changed-Why: confirmed as a bug
Comment 2 Nathan Sidwell 2001-04-24 15:52:43 UTC
From: nathan@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org, nobody@gcc.gnu.org, rparnall@nrcan.gc.ca
Cc:  
Subject: Re: c++/2521
Date: 24 Apr 2001 15:52:43 -0000

 Synopsis: Internal compiler error when I compile
 
 State-Changed-From-To: open->analyzed
 State-Changed-By: nathan
 State-Changed-When: Tue Apr 24 08:52:43 2001
 State-Changed-Why:
     confirmed as a bug
 
 http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view&pr=2521&database=gcc
Comment 3 Nathan Sidwell 2001-05-10 02:06:03 UTC
Responsible-Changed-From-To: unassigned->nathan
Responsible-Changed-Why: patch in progress
Comment 4 Nathan Sidwell 2001-05-10 09:06:03 UTC
From: nathan@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org, nathan@gcc.gnu.org, nobody@gcc.gnu.org,
  rparnall@nrcan.gc.ca
Cc:  
Subject: Re: c++/2521
Date: 10 May 2001 09:06:03 -0000

 Synopsis: Internal compiler error when I compile
 
 Responsible-Changed-From-To: unassigned->nathan
 Responsible-Changed-By: nathan
 Responsible-Changed-When: Thu May 10 02:06:03 2001
 Responsible-Changed-Why:
     patch in progress
 
 http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view&pr=2521&database=gcc
Comment 5 Gabriel Dos Reis 2002-08-06 19:04:20 UTC
Responsible-Changed-From-To: nathan->gdr
Responsible-Changed-Why: Analyzed.
Comment 6 Gabriel Dos Reis 2002-08-06 19:04:20 UTC
State-Changed-From-To: analyzed->closed
State-Changed-Why: Fixed with this:
    2002-08-06  Gabriel Dos Reis  <gdr@nerim.net>
    
    	* typeck.c (build_x_unary_op): Handle pointer-to-member.